.sgc-testimonial-2 *,
.sgc-testimonial-2 *::before,
.sgc-testimonial-2 *::after {
  box-sizing: border-box;
}

@media (max-width: 959px) {
  .sgc-testimonial-2 * {
    -webkit-tap-highlight-color: transparent;
  }
}

.sgc-testimonial-2 ol,
.sgc-testimonial-2 ul {
  padding: 0;
  margin: 0;
  list-style: none;
}

.sgc-testimonial-2 dl {
  margin-block: 0;
}

.sgc-testimonial-2 dd {
  margin-inline-start: 0;
}

.sgc-testimonial-2 h1,
.sgc-testimonial-2 h2,
.sgc-testimonial-2 h3,
.sgc-testimonial-2 h4,
.sgc-testimonial-2 h5,
.sgc-testimonial-2 h6 {
  margin-block: 0;
  word-break: break-all;
}

.sgc-testimonial-2 h1:empty,
.sgc-testimonial-2 h2:empty,
.sgc-testimonial-2 h3:empty,
.sgc-testimonial-2 h4:empty,
.sgc-testimonial-2 h5:empty,
.sgc-testimonial-2 h6:empty,
.sgc-testimonial-2 section:empty,
.sgc-testimonial-2 article:empty,
.sgc-testimonial-2 p:empty,
.sgc-testimonial-2 a:empty,
.sgc-testimonial-2 ol:empty,
.sgc-testimonial-2 ul:empty,
.sgc-testimonial-2 dl:empty,
.sgc-testimonial-2 summary:empty {
  display: none;
}

.sgc-testimonial-2 a:not([href]) {
  cursor: not-allowed;
}

.sgc-testimonial-2 a:not(.sgc-button),
.sgc-testimonial-2 a:not(.sgc-button):hover {
  text-decoration: none;
}

.sgc-testimonial-2 svg.sgc-icon circle,
.sgc-testimonial-2 svg.sgc-icon path {
  vector-effect: non-scaling-stroke;
}

.sgc-testimonial-2 p:first-child {
  margin-block-start: 0;
}

.sgc-testimonial-2 p:last-child {
  margin-block-end: 0;
}

.sgc-testimonial-2 {
  /**
   * 内容级的元素层级
   */
  --sgc-z-index-hover: 1;
  --sgc-z-index-active: 2;
  --sgc-z-index-focus: 3;

  /**
   * 覆盖级的元素层级
   */
  --sgc-z-index-sticky: 1000;
  --sgc-z-index-dropdown: 1010;
  --sgc-z-index-fixed: 1020;
  --sgc-z-index-modal: 1030;
  --sgc-z-index-popover: 1040;
  --sgc-z-index-tooltip: 1050;
  --sgc-z-index-toast: 1060;
}

@keyframes sgc-loading-spin {
  from {
    transform: rotate(0deg);
  }

  to {
    transform: rotate(360deg);
  }
}

.sgc-testimonial-2 .sgc-hidden {
  display: none !important;
}

@media (max-width: 959px) {
  .sgc-testimonial-2 .sgc-hidden-mobile {
    display: none !important;
  }
}

@media (min-width: 960px) {
  .sgc-testimonial-2 .sgc-hidden-desktop {
    display: none !important;
  }
}

.sgc-testimonial-2 .sgc-hidden-empty:empty {
  display: none;
}

.sgc-testimonial-2 .sgc-basic-style {
  font-family: var(--sgc-basic-font-family, revert);
  font-size: var(--sgc-basic-font-size, revert);
  font-style: var(--sgc-basic-font-style, revert);
  font-weight: var(--sgc-basic-font-weight, revert);
  line-height: var(--sgc-basic-line-height, revert);
  color: rgb(var(--sgc-basic-color, revert));
  letter-spacing: var(--sgc-basic-letter-spacing, revert);
  /* stylelint-disable-next-line declaration-property-value-keyword-no-deprecated */
  word-break: break-word;
}

@media (max-width: 959px) {
  .sgc-testimonial-2 .sgc-basic-style {
    font-size: var(
      --sgc-basic-mobile-font-size,
      var(--sgc-basic-font-size, revert)
    );
  }
}

.sgc-testimonial-2 .sgc-text-align-left {
  text-align: start;
}

.sgc-testimonial-2 .sgc-text-align-center {
  text-align: center;
}

.sgc-testimonial-2 .sgc-text-align-right {
  text-align: end;
}

.sgc-testimonial-2 .sgc-hidden-scrollbar {
  scrollbar-width: none;
  -ms-overflow-style: none;
}

.sgc-testimonial-2 .sgc-hidden-scrollbar::-webkit-scrollbar {
  display: none;
}

.sgc-testimonial-2 .sgc-button {
  --sgc-button-padding-block: 10px;
  --sgc-button-padding-inline: 20px;

  position: relative;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding-block: var(--sgc-button-padding-block);
  padding-inline: var(--sgc-button-padding-inline);
  font-family: var(--sgc-button-font-family, revert);
  font-size: var(--sgc-button-font-size, revert);
  font-style: var(--sgc-button-font-style, revert);
  font-weight: var(--sgc-button-font-weight, revert);
  line-height: var(--sgc-button-line-height, revert);
  vertical-align: middle;
  color: rgb(var(--sgc-button-text-color, revert));
  text-align: center;
  letter-spacing: var(--sgc-button-letter-spacing, revert);
  white-space: nowrap;
  text-decoration: none;
  cursor: pointer;
  user-select: none;
}

@media (max-width: 959px) {
  .sgc-testimonial-2 .sgc-button {
    --sgc-button-padding-block: 8px;
    --sgc-button-padding-inline: 16px;

    font-size: var(
      --sgc-button-mobile-font-size,
      var(--sgc-button-font-size, revert)
    );
  }
}

.sgc-testimonial-2 .sgc-button:focus {
  outline: 0;
}

.sgc-testimonial-2 .sgc-button:disabled,
.sgc-testimonial-2 .sgc-button.disabled {
  cursor: not-allowed;
  opacity: 0.3;
}

.sgc-testimonial-2 .sgc-button.loading {
  position: relative;
  color: transparent !important;
}

.sgc-testimonial-2 .sgc-button.loading::before {
  position: absolute;
  inset-block-start: 50%;
  inset-inline-start: 50%;
  display: block;
  width: 16px;
  height: 16px;
  margin-block-start: -8px;
  margin-inline-start: -8px;
  content: "";
  border: 2px solid rgb(var(--sgc-button-text-color, revert));
  border-block-start-color: transparent;
  border-radius: 50%;
  animation: sgc-loading-spin 1s linear infinite;
}

.sgc-testimonial-2 .sgc-button--style-normal {
  background-color: rgb(var(--sgc-button-background-color, revert));
  border: var(--sgc-button-border-thickness) solid
    rgb(var(--sgc-button-border-color), var(--sgc-button-border-opacity));
  border-radius: var(--sgc-button-border-radius);
  box-shadow: var(--sgc-button-shadow-offset-x)
    var(--sgc-button-shadow-offset-y) var(--sgc-button-shadow-blur)
    rgb(var(--sgc-button-shadow-color), var(--sgc-button-shadow-opacity));
}

.sgc-testimonial-2 .sgc-button--style-normal.sgc-button--effect-scan {
  overflow: hidden;
}

.sgc-testimonial-2 .sgc-button--style-normal.sgc-button--effect-scan::after {
  position: absolute;
  inset-block-start: 0;
  inset-inline-start: 0;
  display: block;
  width: 100%;
  height: 100%;
  content: "";
  background: linear-gradient(
    90deg,
    transparent,
    hsl(0deg 0% 100% / 25%),
    transparent
  );
  transform: skew(-20deg) translateX(200%);
  transition: transform 0.5s cubic-bezier(0.01, 0.56, 1, 1);
}

.sgc-testimonial-2
  .sgc-button--style-normal.sgc-button--effect-scan:focus::after,
.sgc-testimonial-2
  .sgc-button--style-normal.sgc-button--effect-scan:hover::after {
  transform: skew(-20deg) translateX(-150%);
}

.sgc-testimonial-2 .sgc-button--style-normal.sgc-button--effect-shadow {
  transition: box-shadow 0.2s;
}

.sgc-testimonial-2 .sgc-button--style-normal.sgc-button--effect-shadow:hover {
  box-shadow: 0 10px 20px rgb(0 0 0 / 10%);
}

.sgc-testimonial-2 .sgc-button--style-normal.sgc-button--effect-scale {
  position: relative;
}

.sgc-testimonial-2 .sgc-button--style-normal.sgc-button--effect-scale::after {
  position: absolute;
  inset-block-start: calc(-1 * var(--sgc-button-border-thickness));
  inset-inline-start: calc(-1 * var(--sgc-button-border-thickness));
  display: block;
  width: calc(100% + var(--sgc-button-border-thickness) * 2);
  height: calc(100% + var(--sgc-button-border-thickness) * 2);
  pointer-events: none;
  content: "";
  border-radius: calc(var(--sgc-button-border-radius) + 1px);
  box-shadow: none;
  transition: box-shadow 0.2s;
}

.sgc-testimonial-2
  .sgc-button--style-normal.sgc-button--effect-scale:focus::after,
.sgc-testimonial-2
  .sgc-button--style-normal.sgc-button--effect-scale:hover::after {
  box-shadow: 0 0 0 1px
    rgb(var(--sgc-button-border-color), var(--sgc-button-border-opacity));
}

.sgc-testimonial-2 .sgc-button--style-link {
  --sgc-button-padding-block: 2px;
  --sgc-button-padding-inline: 4px;

  text-decoration: underline;
  text-decoration-thickness: 1px;
  text-underline-offset: 6px;
  background-color: transparent;
  border: none;
}

.sgc-testimonial-2 .sgc-button--style-link:hover {
  text-decoration-thickness: 2px;
}

.sgc-testimonial-2 .sgc-button--style-arrow-button {
  --sgc-button-padding-block: 2px;
  --sgc-button-padding-inline: 4px;

  gap: 4px;
  background-color: transparent;
  border: none;
}

.sgc-testimonial-2 .sgc-rte {
  overflow-wrap: break-word;
}

.sgc-testimonial-2 .sgc-rte img,
.sgc-testimonial-2 .sgc-rte video {
  max-width: 100%;
  height: auto;
}

.sgc-testimonial-2 .sgc-rte::after {
  clear: both;
  display: block;
  content: "";
}

.sgc-testimonial-2 .sgc-rte a,
.sgc-testimonial-2 .sgc-rte a:hover {
  position: relative;
  padding: 0 1px;
  text-decoration: underline;
  text-decoration-thickness: 1px;
  text-underline-offset: 6px;
}

.sgc-testimonial-2 .sgc-rte ul,
.sgc-testimonial-2 .sgc-rte ol {
  padding: revert;
  margin: revert;
  list-style: revert;
}

.sgc-testimonial-2 .sgc-rte > p:first-child {
  margin-block-start: 0;
}

.sgc-testimonial-2 .sgc-rte > p:last-child {
  margin-block-end: 0;
}

.sgc-testimonial-2 .sgc-rte iframe {
  max-width: 100%;
}

.sgc-testimonial-2 .sgc-rte p img {
  vertical-align: bottom;
}

.sgc-testimonial-2 .sgc-rte table {
  table-layout: fixed;
}

.sgc-testimonial-2 .sgc-testimonial-2__card-content {
  display: flex;
  flex-shrink: 0;
  flex-direction: column;
  height: 100%;
}

@media (min-width: 960px) {
  .sgc-testimonial-2 .sgc-testimonial-2__card-content {
    gap: 30px;
  }
}

@media (max-width: 959px) {
  .sgc-testimonial-2 .sgc-testimonial-2__card-content {
    gap: 16px;
    width: 100%;
  }
}

.sgc-testimonial-2 .sgc-testimonial-2__card-content-tabs-wrapper {
  display: flex;
  gap: 32px;
}

@media (max-width: 959px) {
  .sgc-testimonial-2 .sgc-testimonial-2__card-content-tabs-wrapper {
    gap: 20px;
  }
}

.sgc-testimonial-2 .sgc-testimonial-2__card-content-tabs-wrapper--left {
  justify-content: flex-start;
}

.sgc-testimonial-2 .sgc-testimonial-2__card-content-tabs-wrapper--right {
  justify-content: flex-end;
}

.sgc-testimonial-2 .sgc-testimonial-2__card-content-tabs-wrapper--center {
  justify-content: center;
}

.sgc-testimonial-2 .sgc-testimonial-2__card-content-tab {
  flex: 1;
  max-width: 70px;
  max-height: 70px;
  aspect-ratio: 1/1;
  overflow: hidden;
  cursor: pointer;
  border-radius: var(--avatar-radius);
  opacity: 0.6;
}

@media (max-width: 959px) {
  .sgc-testimonial-2 .sgc-testimonial-2__card-content-tab {
    max-width: 54px;
    max-height: 54px;
  }
}

.sgc-testimonial-2 .sgc-testimonial-2__card-content-tab img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.sgc-testimonial-2 .sgc-testimonial-2__card-content-tab--active {
  outline: 1px solid rgb(var(--avatar-border-color) / 60%);
  outline-offset: -1px;
  opacity: 1;
}

.sgc-testimonial-2 .sgc-testimonial-2__image {
  flex: 1;
}

@media (max-width: 959px) {
  .sgc-testimonial-2 .sgc-testimonial-2__image {
    width: 100%;
  }
}

.sgc-testimonial-2 .sgc-testimonial-2__image-container {
  display: flex;
  aspect-ratio: var(--image-aspect-ratio, revert);
  overflow: hidden;
  border: var(--border-thickness) solid
    rgb(var(--border-color) / var(--border-opacity));
  border-radius: var(--border-radius);
}

.sgc-testimonial-2 .sgc-testimonial-2__image-container img,
.sgc-testimonial-2 .sgc-testimonial-2__image-container svg {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.sgc-testimonial-2 .sgc-testimonial-2__video {
  flex: 1;
}

.sgc-testimonial-2 .sgc-testimonial-2__video-container {
  display: flex;
  aspect-ratio: var(--video-aspect-ratio, revert);
  overflow: hidden;
  cursor: pointer;
  border: var(--border-thickness) solid
    rgb(var(--border-color) / var(--border-opacity));
  border-radius: var(--border-radius);
}

.sgc-testimonial-2 .sgc-testimonial-2__video-container sgc-video-media {
  position: relative;
}

.sgc-testimonial-2 .sgc-testimonial-2__video-container sgc-video-media::before {
  position: absolute;
  inset: 0;
  z-index: 10;
  width: 100%;
  height: 100%;
  content: "";
}

.sgc-testimonial-2
  .sgc-testimonial-2__video-container
  sgc-video-media
  .sgc-video-media {
  width: 100%;
  height: 100%;
}

.sgc-testimonial-2 .sgc-testimonial-2__video-container .sgc-video-media--empty {
  height: auto;
  background-color: #fff;
}

.sgc-testimonial-2 .sgc-testimonial-2__video-container video,
.sgc-testimonial-2 .sgc-testimonial-2__video-container iframe,
.sgc-testimonial-2 .sgc-testimonial-2__video-container svg {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.sgc-testimonial-2 .sgc-testimonial-2__content-group {
  background-color: rgb(var(--background-color) / var(--opacity));
  border: var(--border-thickness) solid
    rgb(var(--border-color) / var(--border-opacity));
  border-radius: var(--border-radius);
}

@media (min-width: 960px) {
  .sgc-testimonial-2 .sgc-testimonial-2__content-group {
    width: var(--content-width);
    min-width: 480px;
    max-width: 880px;
  }
}

@media (max-width: 959px) {
  .sgc-testimonial-2 .sgc-testimonial-2__content-group {
    width: 100%;
  }
}

@media (max-width: 959px) {
  .sgc-testimonial-2 .sgc-testimonial-2__icon {
    width: 70px;
    height: 70px;
  }
}

@media (min-width: 960px) {
  .sgc-testimonial-2 .sgc-testimonial-2__icon {
    width: 100px;
    height: 100px;
  }
}

.sgc-testimonial-2 .sgc-testimonial-2__icon img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.sgc-testimonial-2 .sgc-testimonial-2__star {
  color: rgb(var(--star-color));
}

.sgc-testimonial-2 .sgc-testimonial-2__product-card {
  display: flex;
  gap: 10px;
  height: 76px;
  padding: 10px;
  background-color: rgb(var(--product-card-color));
  border-radius: var(--product-card-border-radius, 0);
}

@media (max-width: 959px) {
  .sgc-testimonial-2 .sgc-testimonial-2__product-card {
    width: 100%;
    height: 64px;
    padding: 4px;
  }
}

.sgc-testimonial-2 .sgc-testimonial-2__product-card-image {
  flex-shrink: 0;
  align-self: center;
  width: 56px;
  height: 56px;
  margin-inline-end: 10px;
}

.sgc-testimonial-2 .sgc-testimonial-2__product-card-image > img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.sgc-testimonial-2 .sgc-testimonial-2__product-card-title-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  overflow: hidden;
}

.sgc-testimonial-2 .sgc-testimonial-2__product-card-title {
  display: -webkit-box;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-line-clamp: 2;
  font-family: var(--product-card-title-font-family);
  font-size: var(--product-card-title-font-size);
  line-height: var(--product-card-title-line-height);
  color: rgb(var(--product-card-title-color));
  word-break: break-all;
  /* stylelint-disable-next-line property-no-deprecated */
  -webkit-box-orient: vertical;
}

@media (max-width: 959px) {
  .sgc-testimonial-2 .sgc-testimonial-2__product-card-title {
    font-size: var(--product-card-title-font-size-mb);
    line-height: var(--product-card-title-line-height-mb);
  }
}

.sgc-testimonial-2 .sgc-testimonial-2__product-card-price {
  flex-wrap: nowrap;
  font-size: 20px;
}

.sgc-testimonial-2 .sgc-testimonial-2__product-card-price > div {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.sgc-testimonial-2 .sgc-testimonial-2__product-card-price > div:nth-child(2) {
  flex: 1;
}

.sgc-testimonial-2
  .sgc-testimonial-2__product-card-price
  .sgc-product-price__sale {
  font-family: var(--price-font-family);
  line-height: var(--price-line-height);
}

@media (max-width: 959px) {
  .sgc-testimonial-2
    .sgc-testimonial-2__product-card-price
    .sgc-product-price__sale {
    font-family: var(--price-font-family-mb);
    line-height: var(--price-line-height-mb);
  }
}

.sgc-testimonial-2
  .sgc-testimonial-2__product-card-price
  .sgc-product-price__origin {
  font-family: var(--original-price-font-family);
  line-height: var(--original-price-line-height);
}

@media (max-width: 959px) {
  .sgc-testimonial-2
    .sgc-testimonial-2__product-card-price
    .sgc-product-price__origin {
    font-family: var(--original-price-font-family-mb);
    line-height: var(--original-price-line-height-mb);
  }
}

.sgc-testimonial-2 .sgc-testimonial-2__product-card-operate-wrapper-icon {
  position: relative;
  display: flex;
  flex-shrink: 0;
  gap: 10px;
  align-items: center;
  align-self: flex-end;
  justify-content: center;
  width: 30px;
  height: 30px;
  margin-inline-start: auto;
  color: rgb(var(--quick-add-font-color));
  cursor: pointer;
  background-color: rgb(var(--quick-add-bg-color));
  border-radius: 50%;
}

.sgc-testimonial-2 .sgc-testimonial-2__product-card-operate-wrapper-icon > svg {
  position: relative;
  inset-inline-start: 1px;
  width: 18px;
  height: 18px;
}

.sgc-testimonial-2 .sgc-testimonial-2__placeholder {
  background-color: #fff;
}

.sgc-testimonial-2 {
  background-color: rgb(var(--background-color));
}

.sgc-testimonial-2 .sgc-testimonial-2-section {
  display: block;
  margin: 0 auto;
}

@media (min-width: 960px) {
  .sgc-testimonial-2 .sgc-testimonial-2-section {
    max-width: var(--desktop-max-width);
    padding: 60px 0;
  }
}

@media (max-width: 959px) {
  .sgc-testimonial-2 .sgc-testimonial-2-section {
    padding: 40px 20px;
  }
}

.sgc-testimonial-2 .sgc-testimonial-2-header {
  margin-block-end: 40px;
}

.sgc-testimonial-2 .sgc-testimonial-2-title {
  font-family: var(--title-font-family);
  font-size: var(--title-font-size);
  line-height: calc(var(--title-line-height) * 100 * 1%);
  color: rgb(var(--title-color));
  letter-spacing: var(--title-letter-spacing);
}

@media (max-width: 959px) {
  .sgc-testimonial-2 .sgc-testimonial-2-title {
    font-size: var(--title-mobile-font-size);
  }
}

.sgc-testimonial-2 .sgc-testimonial-2-description {
  margin-block-start: 20px;
}

.sgc-testimonial-2 .sgc-testimonial-2-description a,
.sgc-testimonial-2 .sgc-testimonial-2-description a:hover {
  position: relative;
  padding: 0 1px;
  text-decoration: underline;
  text-decoration-thickness: 1px;
  text-underline-offset: 6px;
}

.sgc-testimonial-2 .sgc-testimonial-2-list {
  display: grid;
  grid-template-columns: minmax(0, 1fr);
  justify-content: center;
}

.sgc-testimonial-2 .sgc-testimonial-2-list-item {
  grid-area: 1 / 1;
  opacity: 0;
}

.sgc-testimonial-2 .sgc-testimonial-2-list-item--default-active {
  z-index: var(--avatar-length);
  opacity: 1;
}

.sgc-testimonial-2 .sgc-testimonial-2-list-item--deactive {
  display: none;
  opacity: 1;
}

.sgc-testimonial-2 .sgc-testimonial-2-list-item--active {
  display: block;
  opacity: 1;
}

.sgc-testimonial-2 .sgc-testimonial-2-video-preview {
  position: fixed;
  inset-block-start: 0;
  inset-inline-start: 0;
  display: none;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
  background-color: rgb(0 0 0 / 50%);
}

@media (min-width: 960px) {
  .sgc-testimonial-2 .sgc-testimonial-2-video-preview {
    padding: 40px;
  }
}

.sgc-testimonial-2 .sgc-testimonial-2-video-preview--active {
  z-index: 100;
  display: flex;
}

.sgc-testimonial-2 .sgc-testimonial-2-video-preview-inner {
  overflow: hidden;
}

.sgc-testimonial-2 .sgc-testimonial-2-video-preview-inner--horizontal {
  max-width: 100%;
  aspect-ratio: 16 / 9;
}

.sgc-testimonial-2 .sgc-testimonial-2-video-preview-inner--vertical {
  max-height: 100%;
  aspect-ratio: 9 / 16;
}

.sgc-testimonial-2 .sgc-testimonial-2-video-preview-inner sgc-video-media {
  width: 100%;
  height: 100%;
}

.sgc-testimonial-2
  .sgc-testimonial-2-video-preview-inner
  sgc-video-media
  .sgc-video-media {
  width: 100%;
  height: 100%;
}

.sgc-testimonial-2
  .sgc-testimonial-2-video-preview-inner
  sgc-video-media
  .sgc-video-media
  video,
.sgc-testimonial-2
  .sgc-testimonial-2-video-preview-inner
  sgc-video-media
  .sgc-video-media
  iframe {
  object-fit: cover;
}

.sgc-testimonial-2 .sgc-testimonial-2-video-preview-close {
  position: absolute;
  inset-block-start: 20px;
  inset-inline-end: 20px;
  z-index: 101;
  color: #fff;
  cursor: pointer;
  background: none;
  border: none;
}
